> ## Documentation Index
> Fetch the complete documentation index at: https://docs.campfire.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Bill Draft

> GET list (customer-scoped, AG Grid server-side: paginate / sort / filter) + POST UI upload.



## OpenAPI

````yaml https://api.meetcampfire.com/api/schema?format=json post /coa/api/v1/bill-draft
openapi: 3.0.3
info:
  title: Campfire Developer APIs
  version: 1.0.0
  description: >
    ## Introduction

    Campfire's developer APIs offer granular access to Campfire's core
    accounting,

    revenue recognition, and financial data features.


    These APIs are designed to be used by developers to build custom
    integrations,

    automate workflows, and perform any other programmatic operations.
servers:
  - url: https://api.meetcampfire.com
    description: Production server
security: []
tags:
  - name: Cash Management
    description: Operations related to accounts, transactions, and other bank-related data.
  - name: Core Accounting
    description: >-
      Operations related to core accounting data, such as the chart of accounts,
      entity management, and the general ledger.
  - name: Revenue Recognition
    description: >-
      Operations related to revenue recognition, contract management, and
      contract data aggregation.
  - name: Accounts Receivable
    description: Operations related to invoicing and the AR subledger
  - name: Accounts Payable
    description: Operations related to billing and the AP subledger.
  - name: Financial Statements
    description: Operations related to financial statement generation and data aggregation.
  - name: Settings
    description: Operations related to system and accounting settings configuration.
paths:
  /coa/api/v1/bill-draft:
    post:
      tags:
        - Accounts Payable
      summary: Create Bill Draft
      description: >-
        GET list (customer-scoped, AG Grid server-side: paginate / sort /
        filter) + POST UI upload.
      operationId: create_bill_draft
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BillDraftCreate'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/BillDraftCreate'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/BillDraftCreate'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BillDraftCreate'
          description: ''
      security:
        - knoxApiToken: []
components:
  schemas:
    BillDraftCreate:
      type: object
      description: >-
        UI-upload create shape. ``source_file`` must be an already-uploaded File
        row.
      properties:
        source:
          $ref: '#/components/schemas/BillDraftCreateSourceEnum'
        source_file:
          type: integer
          nullable: true
        entity:
          type: integer
          nullable: true
      required:
        - source
    BillDraftCreateSourceEnum:
      enum:
        - ui_upload
      type: string
      description: '* `ui_upload` - ui_upload'
  securitySchemes:
    knoxApiToken:
      type: apiKey
      in: header
      name: Authorization
      description: Token-based authentication with required prefix "Token"

````